## mlterm 3.1.1

=== debian/changelog ===
mlterm (3.1.1-1) unstable; urgency=low

  * New upstream release.
  * debian/rules:
    + Enable VT52 emulation.
    + Modified logic for building mlterm-tiny to cope with changes in
      upstream.
    + Simplified rules file.
  * Updated disable_rpath.diff patch
  * debian/control:
    + Updated Standards-Version to 3.9.3
    + Added Pre-Depends: ${misc:Pre-Depends} for mlterm-common, mlterm,
      mlterm-tiny, mlterm-im-*
  * debian/mlterm-common.symbols: Updated symbols file
  * Bumped compat level to 9
  * Added use_pkglibexecdir.diff patch to use $libexecdir/mlterm instead of
    $libexecdir
  * Added distclean.diff patch to correctly cleanup in distclean target
  * Removed *.dirs
  * Added debian/*.install

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 08 May 2012 05:50:11 +0200

=== debian/control ===
Source: mlterm
Section: x11
Priority: optional
Maintainer: Kenshi Muto <kmuto@debian.org>
Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
Build-Depends: debhelper (>= 9), libgtk2.0-dev, libtool, libx11-dev, libxext-dev, libxft-dev, x11proto-core-dev, libfribidi-dev, libxrender-dev, libuim-dev (>= 1.4.1), libm17n-dev, libscim-dev, libgcroots-dev, libxml2-dev, libthai-dev, libibus-1.0-dev, libssh2-1-dev, libcairo2-dev
Standards-Version: 3.9.3
Homepage: http://mlterm.sourceforge.net
Vcs-Git: git://git.debian.org/git/collab-maint/mlterm.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/mlterm.git

Package: mlterm
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Recommends: mlterm-tools
Suggests: unifont, xfonts-efont-unicode, fonts-vlgothic | fonts-japanese-gothic, fonts-baekmuk, fonts-arphic-bsmi00lp, fonts-arphic-gbsn00lp, ttf-freefont, t1-cyrillic, mlterm-im-uim, mlterm-im-m17nlib, mlterm-im-scim
Conflicts: mlterm-tiny
Provides: x-terminal-emulator
Description: MultiLingual TERMinal
 This is a terminal emulator for X Window System, which supports
 various encodings including ISO-8859-[1-11,13-16], TCVN5712, VISCII,
 TIS-620 (same as ISO-8859-11), KOI8-{R,U,T}, CP{1251,1255}, GEORGEAN-PS,
 EUC-JP, EUC-JISX0213, ISO-2022-JP{,1,2,3}, Shift_JIS, Shift_JISX0213,
 ISO-2022-KR, EUC-KR, UHC, JOHAB, EUC-CN (aka GB2312), GBK, ISO-2022-CN,
 Big5, EUC-TW, HZ, UTF-8, and GB18030.
 .
 Doublewidth characters for east Asian, combining characters for
 Thai, Vietnamese, and other diacritics, BiDi (bi-directionality)
 for Arabic and Hebrew as well as Arabic shaping are all supported.
 Though mlterm supports Indic complex languages such as Hindi, this
 Debian package is not compiled with Indic support.
 .
 Since mlterm checks the current locale and selects appropriate encoding,
 you don't need to configure mlterm to display your language and
 encoding.
 .
 mlterm also supports unique features such as scrollbar API,
 multiple windows, multiple XIM, anti-alias using FreeType and Xft,
 and so on.

Package: mlterm-tiny
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests: mlterm-tools, unifont, xfonts-efont-unicode, fonts-vlgothic | fonts-japanese-gothic, fonts-baekmuk, fonts-arphic-bsmi00lp, fonts-arphic-gbsn00lp, ttf-freefont, t1-cyrillic, mlterm-im-uim
Conflicts: mlterm
Provides: x-terminal-emulator
Description: MultiLingual TERMinal, tiny version
 This is a terminal emulator for X Window System, which supports
 various encodings including ISO-8859-[1-11,13-16], TCVN5712, VISCII,
 TIS-620 (same as ISO-8859-11), KOI8-{R,U,T}, CP{1251,1255}, GEORGEAN-PS,
 EUC-JP, EUC-JISX0213, ISO-2022-JP{,1,2,3}, Shift_JIS, Shift_JISX0213,
 ISO-2022-KR, EUC-KR, UHC, JOHAB, EUC-CN (aka GB2312), GBK, ISO-2022-CN,
 Big5, EUC-TW, HZ, UTF-8, and GB18030.
 .
 Doublewidth characters for east Asian, combining characters for
 Thai, Vietnamese, and other diacritics, BiDi (bi-directionality)
 for Arabic and Hebrew as well as Arabic shaping are all supported.
 Though mlterm supports Indic complex languages such as Hindi, this
 Debian package is not compiled with Indic support.
 .
 Since mlterm checks the current locale and selects appropriate encoding,
 you don't need to configure mlterm to display your language and
 encoding.
 .
 mlterm also supports unique features such as scrollbar API,
 multiple windows, multiple XIM, anti-alias using FreeType and Xft,
 and so on.
 .
 This tiny version does not support fancy features such as background
 image and so on, except for i18n-related features.

Package: mlterm-common
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ncurses-term (>= 5.7+20101128-1)
Pre-Depends: ${misc:Pre-Depends}
Replaces: mlterm (<= 2.8.0.cvs20040403-2)
Recommends: mlterm | mlterm-tiny
Description: MultiLingual TERMinal, common files
 mlterm is a terminal emulator for X Window System, which supports
 various encodings, doublewidth characters, BiDi, Arabic shaping,
 and so on.
 .
 This package contains necessary files which are common for mlterm
 and mlterm-tiny packages.

Package: mlterm-tools
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm (= ${binary:Version}) | mlterm-tiny (= ${binary:Version})
Breaks: mlterm (<= 2.8.0.cvs20040403-2)
Replaces: mlterm (<= 2.8.0.cvs20040403-2)
Description: MultiLingual TERMinal, additional tools
 mlterm is a terminal emulator for X Window System, which supports
 various encodings, doublewidth characters, BiDi, Arabic shaping,
 and so on.
 .
 This package contains configuration tools and so on for mlterm.

Package: mlterm-im-uim
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm (= ${binary:Version}) | mlterm-tiny (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: MultiLingual TERMinal, uim input method plugin
 mlterm is a terminal emulator for X Window System, which supports
 various encodings, doublewidth characters, BiDi, Arabic shaping,
 and so on.
 .
 This package contains uim input method plugin for mlterm.

Package: mlterm-im-scim
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm (= ${binary:Version}) | mlterm-tiny (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: MultiLingual TERMinal, scim input method plugin
 mlterm is a terminal emulator for X Window System, which supports
 various encodings, doublewidth characters, BiDi, Arabic shaping,
 and so on.
 .
 This package contains scim input method plugin for mlterm.

Package: mlterm-im-m17nlib
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm (= ${binary:Version}) | mlterm-tiny (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: MultiLingual TERMinal, m17nlib input method plugin
 mlterm is a terminal emulator for X Window System, which supports
 various encodings, doublewidth characters, BiDi, Arabic shaping,
 and so on.
 .
 This package contains m17nlib input method plugin for mlterm.

Package: mlterm-im-ibus
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm (= ${binary:Version}) | mlterm-tiny (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: MultiLingual TERMinal, IBus input method plugin
 mlterm is a terminal emulator for X Window System, which supports
 various encodings, doublewidth characters, BiDi, Arabic shaping,
 and so on.
 .
 This package contains IBus input method plugin for mlterm.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS



CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif


MLTERM_COMMON=$(CURDIR)/debian/mlterm-common
MLTERM=$(CURDIR)/debian/mlterm
MLTERM_TINY=$(CURDIR)/debian/mlterm-tiny
MLTERM_TOOLS=$(CURDIR)/debian/mlterm-tools
MLTERM_IM_UIM=$(CURDIR)/debian/mlterm-im-uim
MLTERM_IM_M17NLIB=$(CURDIR)/debian/mlterm-im-m17nlib
MLTERM_IM_SCIM=$(CURDIR)/debian/mlterm-im-scim
MLTERM_IM_IBUS=$(CURDIR)/debian/mlterm-im-ibus

OPTS_COMMON=--x-includes=/usr/X11R6/include \
            --x-libraries=/usr/X11R6/lib \
            --disable-rpath \
            --enable-ssh2 \
            --enable-fribidi \
            --enable-vt52 \
            --enable-ind
          # --enable-utmp \

OPTS_TINY=$(OPTS_COMMON) \
          --with-type-engines=xcore \
          --with-tools=no \
          --with-scrollbars=sample

OPTS_MAIN=$(OPTS_COMMON) \
          --with-imagelib=gdk-pixbuf --with-type-engines=xcore,xft,cairo \
          --enable-optimize-redrawing \
          --with-tools=mlclient,mlconfig,mlterm-menu,mlcc,mlterm-zoom \
          --with-scrollbars=sample,extra,pixmap_engine \
          --enable-uim \
          --enable-m17nlib \
          --enable-scim \
          --enable-ibus

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -rf main-tiny

override_dh_auto_configure:
	# Make mlterm-common, mlterm, mlterm-tools, mlterm-im-*
	dh_auto_configure -- $(OPTS_MAIN) CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS) -Wl,--as-needed"

override_dh_auto_build:
	dh_auto_build

	# Make mlterm-tiny
	dh_auto_configure -- $(OPTS_TINY) CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS) -Wl,--as-needed"
	cp -a main main-tiny
	rm -f xwindow/*.o main-tiny/*.o
	$(MAKE) -C xwindow
	$(MAKE) -C main-tiny VPATH=$(CURDIR)/main-tiny

	# configure again for installation (later)
	dh_auto_configure -- $(OPTS_MAIN) CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS) -Wl,--as-needed"

override_dh_install:
	# mlterm-common:
	dh_install -pmlterm-common -Xuim -Xm17 -Xscim -Xibus -Xman1
	rm $(MLTERM_COMMON)/usr/lib/*/libkik.so
	rm $(MLTERM_COMMON)/usr/lib/*/libmkf.so
	for i in main font aafont key termcap xim color menu ; \
	  do install -m 644 debian/config-$$i \
	  $(MLTERM_COMMON)/etc/mlterm/$$i ; done
	# the rest:
	dh_install -Nmlterm-common

override_dh_auto_test:

override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/$(DEB_HOST_MULTIARCH)/mlterm -Xusr/lib/$(DEB_HOST_MULTIARCH)/mkf

override_dh_installdocs:
	dh_installdocs --link-doc=mlterm-common

## mlterm 3.1.2

=== debian/changelog ===
mlterm (3.1.2-1) unstable; urgency=low

  * New upstream release.
  * Remove distclean.diff & use_pkglibexecdir.diff patches, they got included
    upstream.
  * Added implicit_declarations.diff to add declarations for implicitly
    declared functions.
  * Added format-security.diff patch to fix possible string format security
    problems.
  * debian/*.lintian-overrides: Remove unused overrides.
  * debian/rules: Removed settings for CFLAGS & INSTALL_PROGRAM
  * Added use_CPPFLAGS.diff patch to use CPPFLAGS for compiling mlcc
  * debian/mlterm-tiny.install: Install the actual binary not the libtool
    wrapper script. (Closes: #675133)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 30 May 2012 11:13:02 +0200

## mlterm 3.2.0

=== debian/changelog ===
mlterm (3.2.0-1build1) saucy; urgency=low

  * No-change rebuild against ibus 1.5

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 28 Jul 2013 22:28:42 -0400

mlterm (3.2.0-1) unstable; urgency=low

  * New upstream release.
    + Adds Sixel support (Closes: #691623)
  * Removed patches which got applied upstream: format-security.diff,
    implicit_declarations.diff and use_CPPFLAGS.diff
  * debian/mlterm.desktop:
    + Remove Applications from Categories key
    + Add System to Categories key
    + Remove extension from icon name.
    Thanks to Jekyll Wu <adaptee@gmail.com> (Closes: #678109)
  * Added debian/*.preinst to remove old package doc dir before installing
    respective package. (Closes: #685653, #688603, #688604, #688605, #688606)
  * Refreshed disable_rpath.diff patch
  * debian/control:
    + Bumped Standards-Version to 3.9.4
    + Use canonical URIs in VCS-* fields
  * debian/mlterm-common: Updated symbols file.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Thu, 30 May 2013 13:59:50 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Kenshi Muto <kmuto@debian.org>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
 Build-Depends: debhelper (>= 9), libgtk2.0-dev, libtool, libx11-dev, libxext-dev, libxft-dev, x11proto-core-dev, libfribidi-dev, libxrender-dev, libuim-dev (>= 1.4.1), libm17n-dev, libscim-dev, libgcroots-dev, libxml2-dev, libthai-dev, libibus-1.0-dev, libssh2-1-dev, libcairo2-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://mlterm.sourceforge.net
-Vcs-Git: git://git.debian.org/git/collab-maint/mlterm.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/mlterm.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/mlterm.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mlterm.git
 
 Package: mlterm
 Architecture: any

## mlterm 3.3.2

=== mkf/table/Makefile ===
SRCDIR=src

ucs_map: jisx0208 jisx0212 jisx0213 iso8859-2 iso8859-3 iso8859-4 iso8859-10 \
	iso8859-13 iso8859-14 iso8859-16 johab tcvn viscii koi8-t georgian-ps \
	cp1250 cp1251 cp1252 cp1253 cp1254 cp1255 cp1256 \
	cp1257 cp1258 big5 big5hkscs cns11643 gbk uhc property

# Manually maintained tables.
ucs_map2: jisx0208-nec jisx0208-ibm sjis-ibm

jisx0208:
	cat ${SRCDIR}/JIS0208.TXT.fixed | ./jisx0208_1983_table.pl

jisx0208-nec:
	cat ${SRCDIR}/nec98.txt | ./jisx0208_nec_ext_table.pl

jisx0208-ibm:
	cat ${SRCDIR}/necibm.txt | ./jisx0208_necibm_ext_table.pl

sjis-ibm:
	cat ${SRCDIR}/ibmibm.txt | ./sjis_ibm_ext_table.pl

jisx0212:
	cat ${SRCDIR}/JIS0212.TXT | ./jisx0212_1990_table.pl

jisx0213:
	cat ${SRCDIR}/jisx0213code-csv.txt | ./jisx0213_2000_table.pl

iso8859-2:
	cat ${SRCDIR}/8859-2.TXT | ./iso8859_2_table.pl

iso8859-3:
	cat ${SRCDIR}/8859-3.TXT | ./iso8859_3_table.pl

iso8859-4:
	cat ${SRCDIR}/8859-4.TXT | ./iso8859_4_table.pl

iso8859-10:
	cat ${SRCDIR}/8859-10.TXT | ./iso8859_10_table.pl

iso8859-13:
	cat ${SRCDIR}/8859-13.TXT | ./iso8859_13_table.pl

iso8859-14:
	cat ${SRCDIR}/8859-14.TXT | ./iso8859_14_table.pl

iso8859-16:
	cat ${SRCDIR}/8859-16.TXT | ./iso8859_16_table.pl

johab:
	cat ${SRCDIR}/hangul-codes.txt | ./johab_table.pl

uhc:
	cat ${SRCDIR}/KSC5601.TXT | ./uhc_table.pl

tcvn:
	cat ${SRCDIR}/vscii.txt | ./tcvn_table.pl

viscii:
	cat ${SRCDIR}/unicode.html | ./viscii_table.pl

koi8-t:
	cat ${SRCDIR}/KOI8-T | ./koi8_t_table.pl

georgian-ps:
	cat ${SRCDIR}/GEORGIAN-PS | ./georgian_ps_table.pl

cp1250:
	cat ${SRCDIR}/CP1250.TXT | ./cp1250_table.pl

cp1251:
	cat ${SRCDIR}/CP1251.TXT | ./cp1251_table.pl

cp1252:
	cat ${SRCDIR}/CP1252.TXT | ./cp1252_table.pl

cp1253:
	cat ${SRCDIR}/CP1253.TXT | ./cp1253_table.pl

cp1254:
	cat ${SRCDIR}/CP1254.TXT | ./cp1254_table.pl

cp1255:
	cat ${SRCDIR}/CP1255.TXT | ./cp1255_table.pl

cp1256:
	cat ${SRCDIR}/CP1256.TXT | ./cp1256_table.pl

cp1257:
	cat ${SRCDIR}/CP1257.TXT | ./cp1257_table.pl

cp1258:
	cat ${SRCDIR}/CP1258.TXT | ./cp1258_table.pl

big5:
	cat ${SRCDIR}/BIG5 | ./big5_table.pl

big5hkscs:
	cat ${SRCDIR}/BIG5HKSCS | ./big5hkscs_table.pl

cns11643:
	cat ${SRCDIR}/CNS11643.TXT | ./cns11643_1992_table.pl

gbk:
	cat ${SRCDIR}/CP936.TXT | ./gbk_table.pl

property:
	cat ${SRCDIR}/UnicodeData-20120809.txt ${SRCDIR}/EastAsianWidth-6.2.0.txt | ./ucs_property.pl

clean:
	rm -f mkf_*.table

=== tool/accessories/Makefile ===
prefix=/usr/local
bindir=$(prefix)/bin

DESTDIR=
BINDIR=$(DESTDIR)$(bindir)

TARGETS=xconsole.sh google.sh mlsearch.sh mlscp.sh

INSTALL=install -c

install:
	$(INSTALL) -m 755 $(TARGETS) $(BINDIR)/

=== debian/changelog ===
mlterm (3.3.2-1) unstable; urgency=low

  * New upstream release.
  * Please replace ttf-freefont by fonts-freefont-ttf in mlterm & mlterm-tiny
    Depends. (Closes: #738237, #738238)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 09 Feb 2014 10:10:12 +0200

mlterm (3.3.0-1) unstable; urgency=low

  * New upstream release.
  * Refresh disabled_rpath.diff patch
  * debian/control: Bumped Standards-Version to 3.9.5
  * Updated symbols file
  * debian/mlterm-common.shlibs: SO bump for libkik

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 28 Oct 2013 20:47:31 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kenshi Muto <kmuto@debian.org>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
 Build-Depends: debhelper (>= 9), libgtk2.0-dev, libtool, libx11-dev, libxext-dev, libxft-dev, x11proto-core-dev, libfribidi-dev, libxrender-dev, libuim-dev (>= 1.4.1), libm17n-dev, libscim-dev, libgcroots-dev, libxml2-dev, libthai-dev, libibus-1.0-dev, libssh2-1-dev, libcairo2-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://mlterm.sourceforge.net
 Vcs-Git: git://anonscm.debian.org/collab-maint/mlterm.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mlterm.git
@@ -14,7 +14,7 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Recommends: mlterm-tools
-Suggests: unifont, xfonts-efont-unicode, fonts-vlgothic | fonts-japanese-gothic, fonts-baekmuk, fonts-arphic-bsmi00lp, fonts-arphic-gbsn00lp, ttf-freefont, t1-cyrillic, mlterm-im-uim, mlterm-im-m17nlib, mlterm-im-scim
+Suggests: unifont, xfonts-efont-unicode, fonts-vlgothic | fonts-japanese-gothic, fonts-baekmuk, fonts-arphic-bsmi00lp, fonts-arphic-gbsn00lp, fonts-freefont-ttf, t1-cyrillic, mlterm-im-uim, mlterm-im-m17nlib, mlterm-im-scim
 Conflicts: mlterm-tiny
 Provides: x-terminal-emulator
 Description: MultiLingual TERMinal
@@ -43,7 +43,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Suggests: mlterm-tools, unifont, xfonts-efont-unicode, fonts-vlgothic | fonts-japanese-gothic, fonts-baekmuk, fonts-arphic-bsmi00lp, fonts-arphic-gbsn00lp, ttf-freefont, t1-cyrillic, mlterm-im-uim
+Suggests: mlterm-tools, unifont, xfonts-efont-unicode, fonts-vlgothic | fonts-japanese-gothic, fonts-baekmuk, fonts-arphic-bsmi00lp, fonts-arphic-gbsn00lp, fonts-freefont-ttf, t1-cyrillic, mlterm-im-uim
 Conflicts: mlterm
 Provides: x-terminal-emulator
 Description: MultiLingual TERMinal, tiny version

=== debian/rules ===
--- 
+++ 
@@ -11,19 +11,6 @@
 
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
-
-
-
-CFLAGS = -Wall -g
-
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
-endif
-ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
-	INSTALL_PROGRAM += -s
-endif
 
 
 MLTERM_COMMON=$(CURDIR)/debian/mlterm-common

## mlterm 3.3.8

=== debian/changelog ===
mlterm (3.3.8-2) unstable; urgency=medium

  * Use autotools-dev to update config.{sub,guess} (Closes: #744631)
  * Add fix_rect_slct_always_on.diff patch to fix rectangle selection always ON
    (Closes: #760048)
  * debian/control:
    + Update email address.
    + Bumped Standards-Version to 3.9.6

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 18 Oct 2014 05:31:16 +0200

mlterm (3.3.8-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols file.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 23 Aug 2014 09:42:10 +0300

mlterm (3.3.7-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols file
  * SO bumped libkik to 16

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 19 Aug 2014 11:45:36 +0300

mlterm (3.3.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Depend on fonts-nanum | fonts-baekmuk (fonts-nanum having
    higher precedence) for Korean language (Closes: #741879)
  * Refreshed disable_rpath.diff patch.
  * Updated symbols file.
  * Enable Flexible Input Method:
    + debian/control:
      - Add fcitx-libs-dev to Build-Deps
      - Added mlterm-im-fcitx binary package.
    + debian/rules: Pass --enable-fcitx option to configure.
    + Added mlterm-im-fcitx.install

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 02 Jun 2014 00:16:06 +0300

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: x11
 Priority: optional
 Maintainer: Kenshi Muto <kmuto@debian.org>
-Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
-Build-Depends: debhelper (>= 9), libgtk2.0-dev, libtool, libx11-dev, libxext-dev, libxft-dev, x11proto-core-dev, libfribidi-dev, libxrender-dev, libuim-dev (>= 1.4.1), libm17n-dev, libscim-dev, libgcroots-dev, libxml2-dev, libthai-dev, libibus-1.0-dev, libssh2-1-dev, libcairo2-dev
-Standards-Version: 3.9.5
+Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
+Build-Depends: debhelper (>= 9), libgtk2.0-dev, libtool, libx11-dev, libxext-dev, libxft-dev, x11proto-core-dev, libfribidi-dev, libxrender-dev, libuim-dev (>= 1.4.1), libm17n-dev, libscim-dev, libgcroots-dev, libxml2-dev, libthai-dev, libibus-1.0-dev, fcitx-libs-dev, libssh2-1-dev, libcairo2-dev, autotools-dev
+Standards-Version: 3.9.6
 Homepage: http://mlterm.sourceforge.net
 Vcs-Git: git://anonscm.debian.org/collab-maint/mlterm.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mlterm.git
@@ -14,7 +14,7 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Recommends: mlterm-tools
-Suggests: unifont, xfonts-efont-unicode, fonts-vlgothic | fonts-japanese-gothic, fonts-baekmuk, fonts-arphic-bsmi00lp, fonts-arphic-gbsn00lp, fonts-freefont-ttf, t1-cyrillic, mlterm-im-uim, mlterm-im-m17nlib, mlterm-im-scim
+Suggests: unifont, xfonts-efont-unicode, fonts-vlgothic | fonts-japanese-gothic, fonts-nanum | fonts-baekmuk, fonts-arphic-bsmi00lp, fonts-arphic-gbsn00lp, fonts-freefont-ttf, t1-cyrillic, mlterm-im-uim, mlterm-im-m17nlib, mlterm-im-scim
 Conflicts: mlterm-tiny
 Provides: x-terminal-emulator
 Description: MultiLingual TERMinal
@@ -43,7 +43,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Suggests: mlterm-tools, unifont, xfonts-efont-unicode, fonts-vlgothic | fonts-japanese-gothic, fonts-baekmuk, fonts-arphic-bsmi00lp, fonts-arphic-gbsn00lp, fonts-freefont-ttf, t1-cyrillic, mlterm-im-uim
+Suggests: mlterm-tools, unifont, xfonts-efont-unicode, fonts-vlgothic | fonts-japanese-gothic, fonts-nanum | fonts-baekmuk, fonts-arphic-bsmi00lp, fonts-arphic-gbsn00lp, fonts-freefont-ttf, t1-cyrillic, mlterm-im-uim
 Conflicts: mlterm
 Provides: x-terminal-emulator
 Description: MultiLingual TERMinal, tiny version
@@ -140,3 +140,14 @@
  and so on.
  .
  This package contains IBus input method plugin for mlterm.
+
+Package: mlterm-im-fcitx
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm (= ${binary:Version}) | mlterm-tiny (= ${binary:Version})
+Pre-Depends: ${misc:Pre-Depends}
+Description: MultiLingual TERMinal, Flexible Input Method plugin
+ mlterm is a terminal emulator for X Window System, which supports
+ various encodings, doublewidth characters, BiDi, Arabic shaping,
+ and so on.
+ .
+ This package contains Flexible Input Method plugin for mlterm.

=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,7 @@
 MLTERM_IM_M17NLIB=$(CURDIR)/debian/mlterm-im-m17nlib
 MLTERM_IM_SCIM=$(CURDIR)/debian/mlterm-im-scim
 MLTERM_IM_IBUS=$(CURDIR)/debian/mlterm-im-ibus
+MLTERM_IM_FCITX=$(CURDIR)/debian/mlterm-im-fcitx
 
 OPTS_COMMON=--x-includes=/usr/X11R6/include \
             --x-libraries=/usr/X11R6/lib \
@@ -44,10 +45,11 @@
           --enable-uim \
           --enable-m17nlib \
           --enable-scim \
+          --enable-fcitx \
           --enable-ibus
 
 %:
-	dh $@
+	dh $@ --with autotools_dev
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -72,7 +74,7 @@
 
 override_dh_install:
 	# mlterm-common:
-	dh_install -pmlterm-common -Xuim -Xm17 -Xscim -Xibus -Xman1
+	dh_install -pmlterm-common -Xuim -Xm17 -Xscim -Xibus -Xfcitx -Xman1
 	rm $(MLTERM_COMMON)/usr/lib/*/libkik.so
 	rm $(MLTERM_COMMON)/usr/lib/*/libmkf.so
 	for i in main font aafont key termcap xim color menu ; \

## mlterm 3.4.5

=== debian/changelog ===
mlterm (3.4.5-3) unstable; urgency=medium

  * debian/*lintian-overrides: Remove stray comments in *lintian-overrides
    (and remove empty overrides).

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 08 May 2015 09:35:43 +0200

mlterm (3.4.5-2) unstable; urgency=medium

  * Upload to unstable.
  * Remove debian/gbp.conf, not needed in master branch.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 26 Apr 2015 19:19:22 +0200

mlterm (3.4.5-1) experimental; urgency=medium

  * New upstream release.
  * debian/control: Replace libgtk2.0-dev with libgtk-3-dev in Build-Deps
  * Update symbols file.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 17 Mar 2015 13:06:18 +0200

mlterm (3.4.3-1) experimental; urgency=medium

  * New upstream release.
  * Update symbols file

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 12 Feb 2015 09:30:16 +0200

mlterm (3.4.2-1) experimental; urgency=medium

  * New upstream release.
  * Update symbols file

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 13 Jan 2015 19:34:56 +0200

mlterm (3.4.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/gbp.conf: added git-buildpackage configuration to set debian branch
    to experimental.
  * Remove fix_rect_slct_always_on.diff patch that is applied in new upstream.
  * Update symbols file

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 02 Nov 2014 10:59:27 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Kenshi Muto <kmuto@debian.org>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
-Build-Depends: debhelper (>= 9), libgtk2.0-dev, libtool, libx11-dev, libxext-dev, libxft-dev, x11proto-core-dev, libfribidi-dev, libxrender-dev, libuim-dev (>= 1.4.1), libm17n-dev, libscim-dev, libgcroots-dev, libxml2-dev, libthai-dev, libibus-1.0-dev, fcitx-libs-dev, libssh2-1-dev, libcairo2-dev, autotools-dev
+Build-Depends: debhelper (>= 9), libgtk-3-dev, libtool, libx11-dev, libxext-dev, libxft-dev, x11proto-core-dev, libfribidi-dev, libxrender-dev, libuim-dev (>= 1.4.1), libm17n-dev, libscim-dev, libgcroots-dev, libxml2-dev, libthai-dev, libibus-1.0-dev, fcitx-libs-dev, libssh2-1-dev, libcairo2-dev, autotools-dev
 Standards-Version: 3.9.6
 Homepage: http://mlterm.sourceforge.net
 Vcs-Git: git://anonscm.debian.org/collab-maint/mlterm.git

## mlterm 3.5.0

=== mkf/conv/Makefile ===
CC = gcc
CFLAGS = -Wall -O3 $(CFLAGS_LOCAL)
LIBS = -lmkf -lkik $(LIBS_LOCAL)
INSTALL = install -c

PREFIX = $(HOME)
BINDIR = $(PREFIX)/bin

.SUFFIXES : .c .o

mkf : mkf.o
	$(CC) $(CFLAGS) -o mkf mkf.o $(LIBS)

install : mkf
	strip mkf
	$(INSTALL) -m 755 mkf $(BINDIR)

.c.o :
	$(CC) $(CFLAGS) -c $<

wc :
	find . -name "*.[ch]" -a \! -name "test_*" -o -name "*.pl" -o -name "*.pm" | xargs wc -l

clean :
	rm -f mkf mkf.o *.core

=== mkf/table/Makefile ===
--- 
+++ 
@@ -105,7 +105,7 @@
 	cat ${SRCDIR}/CP936.TXT | ./gbk_table.pl
 
 property:
-	cat ${SRCDIR}/UnicodeData-20120809.txt ${SRCDIR}/EastAsianWidth-6.2.0.txt | ./ucs_property.pl
+	cat ${SRCDIR}/UnicodeData-20130512.txt ${SRCDIR}/EastAsianWidth-6.3.0.txt | ./ucs_property.pl
 
 clean:
 	rm -f mkf_*.table

=== tool/mlclient/Makefile ===
VPATH = .
CC = gcc
CFLAGS = -O2 -Wall -g
INSTALL = /usr/bin/install -c

OBJ = main.o

PROG = mlclient

all: $(PROG)

$(PROG): $(OBJ)
	$(CC) -o $(PROG) $(OBJ) $(LIBS)
	cp $(PROG) $(PROG)x

.SUFFIXES: .c.o

.c.o:
	$(CC) $(CFLAGS) -c $<

clean:
	rm -f $(OBJ) $(PROG) $(PROG).exe $(PROG)x $(PROG)x.exe *core

=== debian/changelog ===
mlterm (3.5.0-1build1) wily; urgency=medium

  * No-change rebuild against libscim8v5.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 18 Aug 2015 00:38:05 +0200

mlterm (3.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Enable Freewnn input method.
  * Enable Canna input method.
  * Update symbols file.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 15 Jun 2015 13:55:57 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Kenshi Muto <kmuto@debian.org>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
-Build-Depends: debhelper (>= 9), libgtk-3-dev, libtool, libx11-dev, libxext-dev, libxft-dev, x11proto-core-dev, libfribidi-dev, libxrender-dev, libuim-dev (>= 1.4.1), libm17n-dev, libscim-dev, libgcroots-dev, libxml2-dev, libthai-dev, libibus-1.0-dev, fcitx-libs-dev, libssh2-1-dev, libcairo2-dev, autotools-dev
+Build-Depends: debhelper (>= 9), libgtk-3-dev, libtool, libx11-dev, libxext-dev, libxft-dev, x11proto-core-dev, libfribidi-dev, libxrender-dev, libuim-dev (>= 1.4.1), libm17n-dev, libscim-dev, libgcroots-dev, libxml2-dev, libthai-dev, libibus-1.0-dev, fcitx-libs-dev, libssh2-1-dev, libcairo2-dev, autotools-dev, libwnn-dev, libcanna1g-dev
 Standards-Version: 3.9.6
 Homepage: http://mlterm.sourceforge.net
 Vcs-Git: git://anonscm.debian.org/collab-maint/mlterm.git
@@ -151,3 +151,25 @@
  and so on.
  .
  This package contains Flexible Input Method plugin for mlterm.
+
+Package: mlterm-im-wnn
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm (= ${binary:Version}) | mlterm-tiny (= ${binary:Version})
+Pre-Depends: ${misc:Pre-Depends}
+Description: MultiLingual TERMinal, FreeWnn input method plugin
+ mlterm is a terminal emulator for X Window System, which supports
+ various encodings, doublewidth characters, BiDi, Arabic shaping,
+ and so on.
+ .
+ This package contains FreeWnn Input Method plugin for mlterm.
+
+Package: mlterm-im-canna
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm (= ${binary:Version}) | mlterm-tiny (= ${binary:Version})
+Pre-Depends: ${misc:Pre-Depends}
+Description: MultiLingual TERMinal, Canna input method plugin
+ mlterm is a terminal emulator for X Window System, which supports
+ various encodings, doublewidth characters, BiDi, Arabic shaping,
+ and so on.
+ .
+ This package contains Canna Input Method plugin for mlterm.

=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,9 @@
           --enable-m17nlib \
           --enable-scim \
           --enable-fcitx \
-          --enable-ibus
+          --enable-ibus \
+          --enable-wnn \
+          --enable-canna
 
 %:
 	dh $@ --with autotools_dev
@@ -74,7 +76,7 @@
 
 override_dh_install:
 	# mlterm-common:
-	dh_install -pmlterm-common -Xuim -Xm17 -Xscim -Xibus -Xfcitx -Xman1
+	dh_install -pmlterm-common -Xuim -Xm17 -Xscim -Xibus -Xfcitx -Xwnn -Xcanna -Xman1
 	rm $(MLTERM_COMMON)/usr/lib/*/libkik.so
 	rm $(MLTERM_COMMON)/usr/lib/*/libmkf.so
 	for i in main font aafont key termcap xim color menu ; \

=== debian/watch ===
version=3

opts="dversionmangle=s/~/-/,uversionmangle=s/-/~/," \
  http://sf.net/mlterm/mlterm-(.*)\.tar\.gz

## mlterm 3.8.3

=== debian/changelog ===
mlterm (3.8.3-1) unstable; urgency=medium

  * New upstream release (Closes: #841221)
  * Rework rules file to disable unwanted options instead of enabling needed
    options
  * Refresh patches
  * Rename libraries: kik -> pobl, mkf -> mef
  * rules: xwindow -> uitoolkit
  * Update symbols file
  * Enable SKK input method
  * Use secure URLs in Vcs-* fields
  * Bumped compat level to 10
    + Removed autotools-dev sequence
  * Update to standards version 4.1.1
  * Update disable_rpath.diff patch
  * Add fix_spelling.diff patch to fix spelling errors

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 08 Oct 2017 14:06:46 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Kenshi Muto <kmuto@debian.org>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
-Build-Depends: debhelper (>= 9), libgtk-3-dev, libtool, libx11-dev, libxext-dev, libxft-dev, x11proto-core-dev, libfribidi-dev, libxrender-dev, libuim-dev (>= 1.4.1), libm17n-dev, libscim-dev, libgcroots-dev, libxml2-dev, libthai-dev, libibus-1.0-dev, fcitx-libs-dev, libssh2-1-dev, libcairo2-dev, autotools-dev, libwnn-dev, libcanna1g-dev
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 10), libgtk-3-dev, libtool, libx11-dev, libxext-dev, libxft-dev, x11proto-core-dev, libfribidi-dev, libxrender-dev, libuim-dev (>= 1.4.1), libm17n-dev, libscim-dev, libgcroots-dev, libxml2-dev, libthai-dev, libibus-1.0-dev, fcitx-libs-dev, libssh2-1-dev, libcairo2-dev, libwnn-dev, libcanna1g-dev, libskk-dev
+Standards-Version: 4.1.1
 Homepage: http://mlterm.sourceforge.net
-Vcs-Git: git://anonscm.debian.org/collab-maint/mlterm.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mlterm.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/mlterm.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/mlterm.git
 
 Package: mlterm
 Architecture: any
@@ -173,3 +173,14 @@
  and so on.
  .
  This package contains Canna Input Method plugin for mlterm.
+
+Package: mlterm-im-skk
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm (= ${binary:Version}) | mlterm-tiny (= ${binary:Version})
+Pre-Depends: ${misc:Pre-Depends}
+Description: MultiLingual TERMinal, SKK input method plugin
+ mlterm is a terminal emulator for X Window System, which supports
+ various encodings, doublewidth characters, BiDi, Arabic shaping,
+ and so on.
+ .
+ This package contains Simple Kana Kanji (SKK) Input Method plugin for mlterm.

## mlterm 3.8.4

=== encodefilter/util/Makefile ===
SRCDIR=src

ucs_map: jisx0208 jisx0212 jisx0213 iso8859-2 iso8859-3 iso8859-4 iso8859-10 \
	iso8859-13 iso8859-14 iso8859-16 johab tcvn viscii koi8-t georgian-ps \
	cp1250 cp1251 cp1252 cp1253 cp1254 cp1255 cp1256 \
	cp1257 cp1258 big5 big5hkscs cns11643 gbk uhc property

# Manually maintained tables.
ucs_map2: jisx0208-nec jisx0208-ibm sjis-ibm

jisx0208:
	cat ${SRCDIR}/JIS0208.TXT.fixed | ./jisx0208_1983_table.pl

jisx0208-nec:
	cat ${SRCDIR}/nec98.txt | ./jisx0208_nec_ext_table.pl

jisx0208-ibm:
	cat ${SRCDIR}/necibm.txt | ./jisx0208_necibm_ext_table.pl

sjis-ibm:
	cat ${SRCDIR}/ibmibm.txt | ./sjis_ibm_ext_table.pl

jisx0212:
	cat ${SRCDIR}/JIS0212.TXT | ./jisx0212_1990_table.pl

jisx0213:
	cat ${SRCDIR}/jisx0213code-csv.txt | ./jisx0213_2000_table.pl

iso8859-2:
	cat ${SRCDIR}/8859-2.TXT | ./iso8859_2_table.pl

iso8859-3:
	cat ${SRCDIR}/8859-3.TXT | ./iso8859_3_table.pl

iso8859-4:
	cat ${SRCDIR}/8859-4.TXT | ./iso8859_4_table.pl

iso8859-10:
	cat ${SRCDIR}/8859-10.TXT | ./iso8859_10_table.pl

iso8859-13:
	cat ${SRCDIR}/8859-13.TXT | ./iso8859_13_table.pl

iso8859-14:
	cat ${SRCDIR}/8859-14.TXT | ./iso8859_14_table.pl

iso8859-16:
	cat ${SRCDIR}/8859-16.TXT | ./iso8859_16_table.pl

johab:
	cat ${SRCDIR}/hangul-codes.txt | ./johab_table.pl

uhc:
	cat ${SRCDIR}/KSC5601.TXT | ./uhc_table.pl

tcvn:
	cat ${SRCDIR}/vscii.txt | ./tcvn_table.pl

viscii:
	cat ${SRCDIR}/unicode.html | ./viscii_table.pl

koi8-t:
	cat ${SRCDIR}/KOI8-T | ./koi8_t_table.pl

georgian-ps:
	cat ${SRCDIR}/GEORGIAN-PS | ./georgian_ps_table.pl

cp1250:
	cat ${SRCDIR}/CP1250.TXT | ./cp1250_table.pl

cp1251:
	cat ${SRCDIR}/CP1251.TXT | ./cp1251_table.pl

cp1252:
	cat ${SRCDIR}/CP1252.TXT | ./cp1252_table.pl

cp1253:
	cat ${SRCDIR}/CP1253.TXT | ./cp1253_table.pl

cp1254:
	cat ${SRCDIR}/CP1254.TXT | ./cp1254_table.pl

cp1255:
	cat ${SRCDIR}/CP1255.TXT | ./cp1255_table.pl

cp1256:
	cat ${SRCDIR}/CP1256.TXT | ./cp1256_table.pl

cp1257:
	cat ${SRCDIR}/CP1257.TXT | ./cp1257_table.pl

cp1258:
	cat ${SRCDIR}/CP1258.TXT | ./cp1258_table.pl

big5:
	cat ${SRCDIR}/BIG5 | ./big5_table.pl

big5hkscs:
	cat ${SRCDIR}/BIG5HKSCS | ./big5hkscs_table.pl

cns11643:
	cat ${SRCDIR}/CNS11643.TXT | ./cns11643_1992_table.pl

gbk:
	cat ${SRCDIR}/CP936.TXT | ./gbk_table.pl

property:
	cat ${SRCDIR}/UnicodeData-20130512.txt ${SRCDIR}/EastAsianWidth-6.3.0.txt | ./ucs_property.pl

clean:
	rm -f mef_*.table

=== tool/mlclient/Makefile ===
--- 
+++ 
@@ -19,4 +19,4 @@
 	$(CC) $(CFLAGS) -c $<
 
 clean:
-	rm -f $(OBJ) $(PROG) $(PROG).exe $(PROG)x $(PROG)x.exe *core
+	rm -f $(OBJ) $(PROG)* *core

=== contrib/tool/dnd/Makefile ===
all:
	gcc `pkg-config --cflags --libs gtk+-2.0 ` -o sample_dnd ./sample.c

=== debian/changelog ===
mlterm (3.8.4-1build1) bionic; urgency=medium

  * No-change rebuild against libfcitx-gclient1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 06 Feb 2018 08:22:56 +0000

mlterm (3.8.4-1) unstable; urgency=medium

  * New upstream release
  * Drop fix_spelling.diff patch, applied upstream
  * Update symbols file

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 03 Dec 2017 04:07:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mlterm
 Section: x11
 Priority: optional
-Maintainer: Kenshi Muto <kmuto@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Kenshi Muto <kmuto@debian.org>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
 Build-Depends: debhelper (>= 10), libgtk-3-dev, libtool, libx11-dev, libxext-dev, libxft-dev, x11proto-core-dev, libfribidi-dev, libxrender-dev, libuim-dev (>= 1.4.1), libm17n-dev, libscim-dev, libgcroots-dev, libxml2-dev, libthai-dev, libibus-1.0-dev, fcitx-libs-dev, libssh2-1-dev, libcairo2-dev, libwnn-dev, libcanna1g-dev, libskk-dev
 Standards-Version: 4.1.1

=== debian/rules ===
--- 
+++ 
@@ -26,36 +26,37 @@
 OPTS_COMMON=--x-includes=/usr/X11R6/include \
             --x-libraries=/usr/X11R6/lib \
             --disable-rpath \
-            --enable-ssh2 \
-            --enable-fribidi \
-            --enable-vt52 \
-            --enable-ind
+            --disable-iiimf \
+            --enable-vt52
           # --enable-utmp \
 
 OPTS_TINY=$(OPTS_COMMON) \
           --with-type-engines=xcore \
           --with-tools=no \
-          --with-scrollbars=sample
+          --with-scrollbars=sample \
+          --disable-uim \
+          --disable-m17nlib \
+          --disable-scim \
+          --disable-fcitx \
+          --disable-ibus \
+          --disable-wnn \
+          --disable-canna \
+          --disable-skk
 
 OPTS_MAIN=$(OPTS_COMMON) \
           --with-imagelib=gdk-pixbuf --with-type-engines=xcore,xft,cairo \
           --enable-optimize-redrawing \
           --with-tools=mlclient,mlconfig,mlterm-menu,mlcc,mlterm-zoom \
-          --with-scrollbars=sample,extra,pixmap_engine \
-          --enable-uim \
-          --enable-m17nlib \
-          --enable-scim \
-          --enable-fcitx \
-          --enable-ibus \
-          --enable-wnn \
-          --enable-canna
+          --with-scrollbars=sample,extra,pixmap_engine
 
 %:
-	dh $@ --with autotools_dev
+	dh $@
 
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -rf main-tiny
+
+override_dh_autoreconf:
 
 override_dh_auto_configure:
 	# Make mlterm-common, mlterm, mlterm-tools, mlterm-im-*
@@ -67,8 +68,8 @@
 	# Make mlterm-tiny
 	dh_auto_configure -- $(OPTS_TINY) CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS) -Wl,--as-needed"
 	cp -a main main-tiny
-	rm -f xwindow/*.o main-tiny/*.o
-	$(MAKE) -C xwindow
+	rm -f uitoolkit/*.o main-tiny/*.o
+	$(MAKE) -C uitoolkit
 	$(MAKE) -C main-tiny VPATH=$(CURDIR)/main-tiny
 
 	# configure again for installation (later)
@@ -76,9 +77,9 @@
 
 override_dh_install:
 	# mlterm-common:
-	dh_install -pmlterm-common -Xuim -Xm17 -Xscim -Xibus -Xfcitx -Xwnn -Xcanna -Xman1
-	rm $(MLTERM_COMMON)/usr/lib/*/libkik.so
-	rm $(MLTERM_COMMON)/usr/lib/*/libmkf.so
+	dh_install -pmlterm-common -Xuim -Xm17 -Xscim -Xibus -Xfcitx -Xwnn -Xcanna -Xskk -Xman1
+	rm $(MLTERM_COMMON)/usr/lib/*/libpobl.so
+	rm $(MLTERM_COMMON)/usr/lib/*/libmef.so
 	for i in main font aafont key termcap xim color menu ; \
 	  do install -m 644 debian/config-$$i \
 	  $(MLTERM_COMMON)/etc/mlterm/$$i ; done
@@ -88,7 +89,7 @@
 override_dh_auto_test:
 
 override_dh_makeshlibs:
-	dh_makeshlibs -Xusr/lib/$(DEB_HOST_MULTIARCH)/mlterm -Xusr/lib/$(DEB_HOST_MULTIARCH)/mkf
+	dh_makeshlibs -Xusr/lib/$(DEB_HOST_MULTIARCH)/mlterm -Xusr/lib/$(DEB_HOST_MULTIARCH)/mef
 
 override_dh_installdocs:
 	dh_installdocs --link-doc=mlterm-common

## mlterm 3.8.6

=== debian/changelog ===
mlterm (3.8.6-1) unstable; urgency=medium

  * New upstream release (Closes: #902301)
  * Refresh patches
  * Update Vcs-* URLs
  * Updated standards version to 4.1.5
  * Disable fcitx module until upstream uses new API (Closes: #887711)
  * Update symbols & shlibs files

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 12 Jul 2018 04:23:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: mlterm
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Kenshi Muto <kmuto@debian.org>
+Maintainer: Kenshi Muto <kmuto@debian.org>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
-Build-Depends: debhelper (>= 10), libgtk-3-dev, libtool, libx11-dev, libxext-dev, libxft-dev, x11proto-core-dev, libfribidi-dev, libxrender-dev, libuim-dev (>= 1.4.1), libm17n-dev, libscim-dev, libgcroots-dev, libxml2-dev, libthai-dev, libibus-1.0-dev, fcitx-libs-dev, libssh2-1-dev, libcairo2-dev, libwnn-dev, libcanna1g-dev, libskk-dev
-Standards-Version: 4.1.1
+Build-Depends: debhelper (>= 10), libgtk-3-dev, libtool, libx11-dev, libxext-dev, libxft-dev, x11proto-core-dev, libfribidi-dev, libxrender-dev, libuim-dev (>= 1.4.1), libm17n-dev, libscim-dev, libgcroots-dev, libxml2-dev, libthai-dev, libibus-1.0-dev, libssh2-1-dev, libcairo2-dev, libwnn-dev, libcanna1g-dev, libskk-dev
+Standards-Version: 4.1.5
 Homepage: http://mlterm.sourceforge.net
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/mlterm.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/mlterm.git
+Vcs-Git: https://salsa.debian.org/debian/mlterm.git
+Vcs-Browser: https://salsa.debian.org/debian/mlterm
 
 Package: mlterm
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -37,7 +37,6 @@
           --disable-uim \
           --disable-m17nlib \
           --disable-scim \
-          --disable-fcitx \
           --disable-ibus \
           --disable-wnn \
           --disable-canna \

## mlterm 3.8.8

=== debian/changelog ===
mlterm (3.8.8-3build1) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 11:02:10 +0000

mlterm (3.8.8-3) unstable; urgency=medium

  * Update maintainer & uploaders fields.
    (Closes: #933051)
  * Update standards version to 4.4.0
  * Remove ancient XIMs (Closes: #934006)
  * Replace fonts-baekmuk with fonts-noto-cjk in Suggests (Closes: #934008)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 06 Aug 2019 04:12:04 +0200

mlterm (3.8.8-2) unstable; urgency=medium

  * Upload to unstable
  * Remove gbp.conf

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 04 Jul 2019 03:29:50 +0200

mlterm (3.8.8-1) experimental; urgency=medium

  * New upstream release
  * Refresh patches
  * Update symbols file
  * Update mlterm-common.shlibs
  * Add mlterm-common.lintian-overrides

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 03 Apr 2019 04:17:57 +0200

mlterm (3.8.7-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/watch: Use https protocol

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * New upstream release
    + Fix segfault of mlconfig when GTK_IM_MODULE=uim. (Closes: #924446)
  * Add gbp.conf
  * Update standards version

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 26 Mar 2019 03:16:07 +0100

mlterm (3.8.6-2) unstable; urgency=medium

  * Re-enable fcitx module.
    See: https://sourceforge.net/p/mlterm/mailman/message/36247805/

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 22 Jul 2018 02:54:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: mlterm
 Section: x11
 Priority: optional
-Maintainer: Kenshi Muto <kmuto@debian.org>
-Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
-Build-Depends: debhelper (>= 10), libgtk-3-dev, libtool, libx11-dev, libxext-dev, libxft-dev, x11proto-core-dev, libfribidi-dev, libxrender-dev, libuim-dev (>= 1.4.1), libm17n-dev, libscim-dev, libgcroots-dev, libxml2-dev, libthai-dev, libibus-1.0-dev, libssh2-1-dev, libcairo2-dev, libwnn-dev, libcanna1g-dev, libskk-dev
-Standards-Version: 4.1.5
+Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
+Uploaders: Hideki Yamane <henrich@debian.org>
+Build-Depends: debhelper (>= 10), libgtk-3-dev, libtool, libx11-dev, libxext-dev, libxft-dev, x11proto-core-dev, libfribidi-dev, libxrender-dev, libuim-dev (>= 1.4.1), libm17n-dev, libscim-dev, libgcroots-dev, libxml2-dev, libthai-dev, libibus-1.0-dev, fcitx-libs-dev, libssh2-1-dev, libcairo2-dev, libwnn-dev, libcanna1g-dev, libskk-dev
+Standards-Version: 4.4.0
 Homepage: http://mlterm.sourceforge.net
 Vcs-Git: https://salsa.debian.org/debian/mlterm.git
 Vcs-Browser: https://salsa.debian.org/debian/mlterm
@@ -14,7 +14,7 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Recommends: mlterm-tools
-Suggests: unifont, xfonts-efont-unicode, fonts-vlgothic | fonts-japanese-gothic, fonts-nanum | fonts-baekmuk, fonts-arphic-bsmi00lp, fonts-arphic-gbsn00lp, fonts-freefont-ttf, t1-cyrillic, mlterm-im-uim, mlterm-im-m17nlib, mlterm-im-scim
+Suggests: unifont, xfonts-efont-unicode, fonts-vlgothic | fonts-japanese-gothic, fonts-noto-cjk | fonts-nanum, fonts-arphic-bsmi00lp, fonts-arphic-gbsn00lp, fonts-freefont-ttf, t1-cyrillic, mlterm-im-uim, mlterm-im-m17nlib, mlterm-im-scim
 Conflicts: mlterm-tiny
 Provides: x-terminal-emulator
 Description: MultiLingual TERMinal

## mlterm 3.8.9

=== encodefilter/conv/Makefile ===
CC = gcc
CFLAGS = -Wall -O3 $(CFLAGS_LOCAL)
LIBS = -lmef -lpobl $(LIBS_LOCAL)
INSTALL = install -c

PREFIX = $(HOME)
BINDIR = $(PREFIX)/bin

.SUFFIXES : .c .o

mef : mef.o
	$(CC) $(CFLAGS) -o mef mef.o $(LIBS)

install : mef
	strip mef
	$(INSTALL) -m 755 mef $(BINDIR)

.c.o :
	$(CC) $(CFLAGS) -c $<

wc :
	find . -name "*.[ch]" -a \! -name "test_*" -o -name "*.pl" -o -name "*.pm" | xargs wc -l

clean :
	rm -f mef mef.o *.core

=== debian/changelog ===
mlterm (3.8.9-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:50:00 +0100

mlterm (3.8.9-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Drop no longer supported add-log-mailing-address setting from
    debian/changelog.
  * Update standards version to 4.4.1, no changes needed.

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * New upstream version 3.8.9
  * Update symbols file
  * Add typos.diff patch to fix spelling mistakes
  * Set Rules-Requires-Root to binary-targets

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 20 Dec 2019 08:25:30 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
 Uploaders: Hideki Yamane <henrich@debian.org>
 Build-Depends: debhelper (>= 10), libgtk-3-dev, libtool, libx11-dev, libxext-dev, libxft-dev, x11proto-core-dev, libfribidi-dev, libxrender-dev, libuim-dev (>= 1.4.1), libm17n-dev, libscim-dev, libgcroots-dev, libxml2-dev, libthai-dev, libibus-1.0-dev, fcitx-libs-dev, libssh2-1-dev, libcairo2-dev, libwnn-dev, libcanna1g-dev, libskk-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
+Rules-Requires-Root: binary-targets
 Homepage: http://mlterm.sourceforge.net
 Vcs-Git: https://salsa.debian.org/debian/mlterm.git
 Vcs-Browser: https://salsa.debian.org/debian/mlterm
